
package de.ivu.elect.presentation.stimmeingabe.menu;

import javax.inject.Inject;

import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.stimmeingabe.exchange.StimmeingabePlausiKonfigurationExportDescription;

public class StimmeingabePlausiKonfigurationExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient StimmeingabePlausiKonfigurationExportDescription stimmeingabePlausiKonfigurationExportDescription;

  public StimmeingabePlausiKonfigurationExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return stimmeingabePlausiKonfigurationExportDescription;
  }

  @Override
  public String getLabelKey() {
    return "stimmeingabe.plausi.konfiguration.exportieren.menu.item.label";
  }
}
